Bug 1277363 - 502 Proxy Error when changing several bugs at once
502 Proxy Error when changing several bugs at once
Status: CLOSED DUPLICATE of bug 1282925
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 02:22 EST by Rohan McGovern
Modified: 2016-06-15 22:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-15 22:23:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rohan McGovern 2015-11-03 02:22:26 EST
Description of problem:
If I navigate to a large bug list and use the "Change Several Bugs at Once" feature to add a comment and change the status of all the bugs, after submitting, the page tries to load for a while and eventually stops with:

502 Proxy Error

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request POST /process_bug.cgi.

Reason: Error reading from remote server

There is no indication whether my changes were applied, in full or partially.

Version-Release number of selected component (if applicable):
4.4.9039-8

How reproducible:
unknown; probably easy to reproduce with >100 bugs

Steps to Reproduce:
1. Navigate to a bug list with >100 bugs
2. Click "Change Several Bugs at Once"
3. In the form, enter a comment, and select a status
4. Submit

Actual results:
Browser waits for a response for a while, then renders 502 Proxy Error.

Expected results:
Response is successfully rendered and/or progress is somehow reported asynchronously.

Additional info:
The specific bug list where I've most recently seen this is this one, with 102 bugs:

https://bugzilla.redhat.com/buglist.cgi?bug_id=1274650%2C1274117%2C1274144%2C1273792%2C1272791%2C1272421%2C1271903%2C1271486%2C1271472%2C1271068%2C1270464%2C1267288%2C1266871%2C1266444%2C1266432%2C1266425%2C1266406%2C1266370%2C1266338%2C1266026%2C1266007%2C1265898%2C1265501%2C1265451%2C1264737%2C1264346%2C1264323%2C1264267%2C1264254%2C1263946%2C1263924%2C1260531%2C1259086%2C1257772%2C1257765%2C1257416%2C1257408%2C1257177%2C1256760%2C1255724%2C1255361%2C1255262%2C1247955%2C1247901%2C1245920%2C1244849%2C1244603%2C1244081%2C1243626%2C1243279%2C1243227%2C1242823%2C1241816%2C1241758%2C1241407%2C1241396%2C1241373%2C1241337%2C1241323%2C1241031%2C1235562%2C1235554%2C1235513%2C1223492%2C1221863%2C1210295%2C1204067%2C1203944%2C1183875%2C1175995%2C1170379%2C1167606%2C1167243%2C1164949%2C1164752%2C1164669%2C1163713%2C1162038%2C1153062%2C1139078%2C1127027%2C1126808%2C1123912%2C1141618%2C1226728%2C1247438%2C1264260%2C1260826%2C1247082%2C1260847%2C1164657%2C1162044%2C1164598%2C1260825%2C1250783%2C1203033%2C1218009%2C1163700%2C1263902%2C1169729%2C1192853%2C1274564
Comment 1 Matt Tyson 2015-11-03 18:31:39 EST
We have a 2 minute (IIRC) timeout which will kill any long running HTTP connections.

Bulk changes should continue to run in the background.

This is to prevent excessive load on the system.

The only workaround I can offer is to perform the updates in smaller chunks or just trust that the process worked, despite the 502 error.

> progress is somehow reported asynchronously.

I think bugzilla 5.0 has this feature, but the proxy timeout limit will still apply.
Comment 2 Jeff Bastian 2015-11-23 17:49:53 EST
I hit this with the bugzilla command line tool, too, while trying to close about 60 old bugs that are no longer valid.

$ bugzilla modify -l "Closing as CURRENTRELEASE" \
           -k CURRENTRELEASE $(bugzilla query -p Acadia -t ON_QA \
                                      --fixed_in="3" --outputformat='%{id}')
Connection lost/failed: 502 Server Error: Proxy Error
Comment 3 Jeff Fearn 2016-06-15 22:23:17 EDT

*** This bug has been marked as a duplicate of bug 1282925 ***

Note You need to log in before you can comment on or make changes to this bug.